Bug 855004 - [RFE] cobbler support for Fedora 18 import
[RFE] cobbler support for Fedora 18 import
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cobbler (Show other bugs)
17
Unspecified Unspecified
high Severity urgent
: ---
: ---
Assigned To: James C.
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-06 09:54 EDT by Jason Montleon
Modified: 2013-08-01 12:21 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 12:21:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jason Montleon 2012-09-06 09:54:28 EDT
Description of problem:
Cobbler can not import Fedora 18. It fails with the error message:
cobbler import --name fedora-18-alpha --arch x86_64 --breed redhat --path /root/f18/
task started: 2012-09-06_095120_import
task started (id=Media import, time=Thu Sep  6 09:51:20 2012)
Warning: No distro signature for kernel at /var/www/cobbler/ks_mirror/fedora-18-alpha-x86_64, using value from command line
adding distros
No distros imported, bailing out
!!! TASK FAILED !!!

Version-Release number of selected component (if applicable):
cobbler-2.2.3-2.fc17.noarch

How reproducible:
Always

Steps to Reproduce:
1. Download Fedora 18
2. Try to import into cobbler on Fedora 17 
  
Actual results:
import fails with the error message:

Expected results:
import succeeds

Additional info:
The Fedora 18 DVD iso now has directories [a-z] under Packages, and from what I can tell this causes cobbler to break when importing.

Changing /usr/lib/python2.7/site-packages/cobbler/modules/manage_import_redhat.py to read like below and restarting cobblerd gets Fedora 18 imports working, but it seems to break other rhel/fedora imports, so it doesn't seem to be quite the right answer.

    # required function for import modules
    def check_for_signature(self,path,cli_breed):
       signatures = [
          'RedHat/RPMS',
          'RedHat/rpms',
          'RedHat/Base',
          'Fedora/RPMS',
          'Fedora/rpms',
          'CentOS/RPMS',
          'CentOS/rpms',
          'CentOS',
          'Packages',
          'Packages/a',
          'Packages/b',
          'Packages/c',
          'Packages/d',
          'Packages/e',
          'Packages/f',
          'Packages/g',
          'Packages/h',
          'Packages/i',
          'Packages/j',
          'Packages/k',
          'Packages/l',
          'Packages/m',
          'Packages/n',
          'Packages/o',
          'Packages/p',
          'Packages/q',
          'Packages/r',
          'Packages/s',
          'Packages/t',
          'Packages/u',
          'Packages/v',
          'Packages/w',
          'Packages/x',
          'Packages/y',
          'Packages/z',
          'Fedora',
          'Server',
          'Client',
          'SL',
       ]

(
instead of:

    # required function for import modules
    def check_for_signature(self,path,cli_breed):
       signatures = [
          'RedHat/RPMS',
          'RedHat/rpms',
          'RedHat/Base',
          'Fedora/RPMS',
          'Fedora/rpms',
          'CentOS/RPMS',
          'CentOS/rpms',
          'CentOS',
          'Packages',
          'Fedora',
          'Server',
          'Client',
          'SL',
       ]
)
Comment 1 Fedora End Of Life 2013-07-04 01:20:15 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-08-01 12:21:14 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.